commit:     b74c0805173ec2541a41e27a06ae4500b6953f6e
Author:     Amy Winston <amynka <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 14 13:01:10 2016 +0000
Commit:     Amy Winston <amynka <AT> gentoo <DOT> org>
CommitDate: Tue Jun 14 13:01:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b74c0805

net-libs/telepathy-qt: version bump 0.9.7 bug #585908 by Alexandr Akulich

Package-Manager: portage-2.2.28

 net-libs/telepathy-qt/Manifest                  |   1 +
 net-libs/telepathy-qt/telepathy-qt-0.9.7.ebuild | 107 ++++++++++++++++++++++++
 2 files changed, 108 insertions(+)

diff --git a/net-libs/telepathy-qt/Manifest b/net-libs/telepathy-qt/Manifest
index 30ff988..dd26617 100644
--- a/net-libs/telepathy-qt/Manifest
+++ b/net-libs/telepathy-qt/Manifest
@@ -1 +1,2 @@
 DIST telepathy-qt-0.9.6.1.tar.gz 6067468 SHA256 
496eb4951ea9b181d7d68a2122a885474c4f73b519319496aa1b97d9b361a1f8 SHA512 
d15bdf94ef2b546270130012e8636fb2801b0c4fb50513ac0dbc0e1f6255d84da6df12195b3d26dc6df5a9466929a1073e87d2a9e600c7bf26c3e1aa112113b7
 WHIRLPOOL 
621137fc10ce3db1d834711aaf876adf98056a5ca8bab22c011e881e71522060cd6110733880db4f6646872501b870305d3590428ea3d809b4b512bbc21e653b
+DIST telepathy-qt-0.9.7.tar.gz 6213405 SHA256 
21bad30be7ebc4ba667d53d92cd1cec1be23114103f2149404d9740721693d4f SHA512 
081daecb2509ea690079014bcc88eacbf2b3e4f4ac42aaf1b0cb264c01b801bc499a041482571d383f258cb3d3e2c6ffa5682fbe417fe807fcc25a06d2ead877
 WHIRLPOOL 
81569b648ae51ba932d1a212d69cd51a727201f5c36f7b91fe2da52ec0ed3a3fc01165a260f262e182474a383ff614ea6e4ee7dd6691add04052b1f4d14cd63d

diff --git a/net-libs/telepathy-qt/telepathy-qt-0.9.7.ebuild 
b/net-libs/telepathy-qt/telepathy-qt-0.9.7.ebuild
new file mode 100644
index 0000000..be29795
--- /dev/null
+++ b/net-libs/telepathy-qt/telepathy-qt-0.9.7.ebuild
@@ -0,0 +1,107 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+inherit python-any-r1 cmake-utils virtualx multibuild
+
+DESCRIPTION="Qt bindings for the Telepathy D-Bus protocol"
+HOMEPAGE="https://telepathy.freedesktop.org/";
+SRC_URI="https://telepathy.freedesktop.org/releases/${PN}/${P}.tar.gz";
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="debug farstream +qt4 qt5 test"
+
+REQUIRED_USE="|| ( qt4 qt5 )"
+
+RDEPEND="
+       farstream? (
+               >=net-libs/telepathy-farstream-0.2.2
+               >=net-libs/telepathy-glib-0.18.0
+       )
+       qt4? (
+               dev-qt/qtcore:4
+               dev-qt/qtdbus:4
+       )
+       qt5? (
+               dev-qt/qtcore:5
+               dev-qt/qtdbus:5
+               dev-qt/qtgui:5
+               dev-qt/qtnetwork:5
+               dev-qt/qtxml:5
+       )
+       !net-libs/telepathy-qt4
+"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+       test? (
+               dev-libs/dbus-glib
+               dev-libs/glib:2
+               dev-python/dbus-python
+               qt4? ( dev-qt/qttest:4 )
+               qt5? ( dev-qt/qttest:5 )
+       )
+"
+
+DOCS=( AUTHORS ChangeLog HACKING NEWS README )
+
+PATCHES=(
+       "${FILESDIR}/${PN}-0.9.6.1-yes-release.patch"
+       "${FILESDIR}/${PN}-0.9.6.1-qtpath.patch"
+)
+
+# bug 549448 - last checked with 0.9.7
+RESTRICT="test"
+
+pkg_setup() {
+       python-any-r1_pkg_setup
+
+       MULTIBUILD_VARIANTS=( $(usev qt4) $(usev qt5) )
+}
+
+src_configure() {
+       myconfigure() {
+               local mycmakeargs=(
+                       -DENABLE_DEBUG_OUTPUT=$(usex debug)
+                       -DENABLE_FARSTREAM=$(usex farstream)
+                       -DENABLE_TESTS=$(usex test)
+                       -DENABLE_EXAMPLES=OFF
+               )
+               if [[ ${MULTIBUILD_VARIANT} = qt4 ]]; then
+                       mycmakeargs+=( -DDESIRED_QT_VERSION=4 )
+               fi
+               if [[ ${MULTIBUILD_VARIANT} = qt5 ]]; then
+                       mycmakeargs+=( -DDESIRED_QT_VERSION=5 )
+               fi
+               cmake-utils_src_configure
+       }
+
+       multibuild_foreach_variant myconfigure
+}
+
+src_compile() {
+       multibuild_foreach_variant cmake-utils_src_compile
+}
+
+src_test() {
+       _test_runner() {
+               ctest -E '(CallChannel)'
+       }
+
+       mytest() {
+               pushd "${BUILD_DIR}" > /dev/null || die
+               virtx _test_runner
+               popd > /dev/null || die
+       }
+
+       multibuild_foreach_variant mytest
+}
+
+src_install() {
+       multibuild_foreach_variant cmake-utils_src_install
+}

Reply via email to